<template>
  <div class="q-py-xl">
    <div class="row justify-center">
      <div>
        <div class="font-16"><b>Select a group or single economy</b></div>
        <div>To overview integration with the Asia-Pacific Region</div>
      </div>
      <div class="q-pl-xl">
        <q-select
          :options="countryOption"
          v-model="reporter"
          stack-label
          dense
          style="width: 400px"
          @input="selectReporter()"
        >
          <template v-slot:option="scope">
            <q-item v-bind="scope.itemProps" v-on="scope.itemEvents">
              <q-item-section avatar>
                <gb-flag
                  v-if="
                    scope.opt.code &&
                    scope.opt.code != 'TW' &&
                    scope.opt.type != 2
                  "
                  :code="scope.opt.code"
                  size="small"
                />
              </q-item-section>
              <q-item-section>
                <q-item-label
                  v-html="scope.opt.label"
                  :class="
                    scope.opt.disable
                      ? 'text-black text-weight-bolder'
                      : 'text-black'
                  "
                />
              </q-item-section>
            </q-item>
          </template>
        </q-select>
      </div>
    </div>
  </div>
</template>

<script>
import countryJsonInput from "../../../../public/json/country_overview.json";
import countryAllWorld from "../../../../public/countryallworld.json";
export default {
  data() {
    return {
      countryOption: [],
      reporter: [],
      countryFullList: [],
    };
  },
  methods: {
    selectReporter() {
      this.countryFullList = [];
      let countryPartyTemp = [];
      let iso = [this.reporter.value];
      iso.forEach((isoData) => {
        let tempList = this.countryGroupListRiva2(isoData);
        countryPartyTemp = countryPartyTemp.concat(tempList);
      });
      let countryOutput = [...new Set(countryPartyTemp)];
      let dataSend = {
        countryOutput: countryOutput,
        ecoName: this.reporter.label,
      };
      this.$emit("country", dataSend);
    },
    loadData() {
      countryJsonInput.forEach((element) => {
        let tempData = {
          label: element.country,
          value: element.iso,
          code: element.code,
          disable: element.disable ? true : false,
        };
        this.countryOption.push(tempData);
      });
      this.reporter = this.countryOption[1];
      this.selectReporter();
    },
  },
  mounted() {
    this.loadData();
  },
};
</script>

<style lang="scss" scoped></style>
